.wrap {
  padding: 1em;
  text-align: center;
  @include bp(700) { padding: 1em 2em; }
}


/*==================================== 
  Our Modal Window styles
=====================================*/

.modal > label {
  background: #FFD300;
  border: 1px solid #f0c600;
  border-radius: .2em;
  color: #000000;
  cursor: pointer;
  display: inline-block;
  font-weight: bold;
  padding: 0.75em 1.5em;
  text-shadow: 1px 1px 1px #fff;
  transition: all 0.55s;
}
.modal > label:hover {
  transform: scale(0.97);
}
.modal__overlay {
  background: rgba(0,0,0,0.75);
  bottom: 0;
  left: 0;
  position: fixed;
  right: 0;
  text-align: center;
  text-shadow: none;
  top: 0;
  z-index: 600;
}
.modal__wrap {
  padding: 1em 0;
  position: relative;
  margin: 0 auto;
  max-width: 500px;
  width: 90%;
}
@media (min-width: 50em) {
  .modal__wrap {
    padding: 1.75em;
  }
}
@media (min-height: 37.5em) {
  .modal__wrap {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -80%);
  }
}
.modal__wrap label {
  background: #e54628;
  border-radius: 50%;
  color: #ffffff;
  cursor: pointer;
  display: inline-block;
  height: 2.5em;
  line-height: 2.5;
  position: absolute;
  right: 20em;
  top: -27em;
  width: 2.5em;
  z-index: 5;
}
.modal__wrap h2 {
  color: #FFD300;
  margin-bottom: 1em;
  text-transform: uppercase;
}
.modal__wrap p {
  color: #FFD300;
  text-align: justify;
}
.modal input:focus ~ label {
  transform: scale(0.97);
}



.modal__overlay {
  opacity: 0;
  transform: scale(0.5);
  transition: all 0.75s cubic-bezier(0.68, -0.55, 0.265, 1.55);
  z-index: -100;
}

input:checked ~ .modal__overlay {
  opacity: 1;
  transform: scale(1);
  z-index: 800;
}

